// 信息分类接口
import request from '@/utils/request'
// 获取所有类别
export function getAllCategory(params) {
  return request({
    url: '/api/informationClass/findAllInformationClass',
    method: 'get',
    params
  })
}
// 2、根据名称获取信息分类
export function getNameCategory(param) {
  return request({
    url: '/api/informationClass/findInformationClassByName',
    method: 'get',
    params:param
  })
}
// 3.新增信息分类
export function addClassification(data) {
  return request({
    url: '/api/informationClass/insertInformationClass',
    method: 'post',
    data,
  })
}
// 4、修改信息分类
export function editClassification(data) {
  return request({
    url: '/api/informationClass/updateInformationClass',
    method: 'put',
    data
  })
}
// 删除
export function deleteTypeDict(params) {
  return request({
    url: '/api/informationClass/deleteInformationClassById',
    method: 'delete',
	params,
  })
}

